import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/biz/depotCloudMonitor/` + url, ...arg)

/**
 * 项目云监控表Api接口管理器
 *
 * @author xiang
 * @date  2023/11/03 13:40
 **/
export default {
	// 获取项目云监控表分页
	depotCloudMonitorPage(data) {
		return request('page', data, 'get')
	},
	// 获取项目云监控表列表
	depotCloudMonitorList(data) {
		return request('list', data, 'get')
	},
	// 提交项目云监控表表单 edit为true时为编辑，默认为新增
	depotCloudMonitorSubmitForm(data, edit = false) {
		return request(edit ? 'add' : 'edit', data)
	},
	// 删除项目云监控表
	depotCloudMonitorDelete(data) {
		return request('delete', data)
	},
	// 获取项目云监控表详情
	depotCloudMonitorDetail(data) {
		return request('detail', data, 'get')
	}
}
